What is a Virtual Cybiko Wireless Internet Gate?

A Virtual Cybiko Wireless Internet Gate (VCyWIG) is the way that allows you to send and receive E-mails on Cybiko computers wirelessly and globally!

To have a possibility to use the above features, your Cybiko computer needs to be within range of a Virtual CyWIG (150 feet indoors, 300 feet outdoors, depending on environment). In this case, your Cybiko computer's Main Desktop displays a [image] [image] icon, where [image] tells you that you are within the range of a VCyWIG, and [image] indicates the quality of link to a VCyWIG (the more black bars displayed, the better the connection).

IMPORTANT: To communicate via VCyWIG, Cybiko computers need to:

  • Be turned on;
  • Have the Communications setting turned ON (pressing <Fn><F5> button switches Communications ON/OFF). A VCyWIG doesn't "see" Cybiko computers with Communications OFF (if communications are off, the [image] icon is displayed at the bottom of the Desktop);
  • Be located within the operating range of a VCyWIG (see above).

Such Cybiko computers will be identified as "Cybiko computers online" in this document.

You can also become a Virtual CyWIG yourself! In other words, you can become a special server that allows other Cybiko computers, within range, to send/receive e-mails but you need to be connected to a computer that is logged onto the Internet.


What do you need to have your Cybiko computer work as Virtual CyWIG?

It may seem amazing that you don't need anything special - no hardware, no advanced software! You already have everything! Just complete a few simple steps, and you're a Virtual CyWIG server, offering wireless Internet access for your Cybiko friends.

Take a look at what you need:

  • one Cybiko computer connected to a PC
  • PC connected to the Internet

Do you have all these? We're sure you do! So don't waste time, and give it a shot!


How to setup Virtual CyWIG on your Cybiko computer

1. Get the VCyWIGSetup.exe from our site.

2. Go into Windows Explorer and double click VCyWIGSetup.exe. Then follow the Setup instructions to install or update VCyWIG on your PC.

3. Choose the destination for saving Virtual CyWIG files. (If you do not choose a folder, the VCyWIG files will be saved to Program Files\Cybiko\Virtual CyWIG folder by default.)

4. Plug the one end of the RS 232 cable to the serial port of the Cybiko computer and the other end to the COM port of your PC.

5. Start CyWIG Program on your PC: go to Windows Explorer and double click VCyWIG.exe file or choose Programs\Cybiko\Virtual CyWIG\Virtual CyWIG in the Start menu.


How to send

How to send/receive E-mail through VCyWIG

Just type any e-mail address in the E-mail application and send it.

The addressee will receive the e-mail in his/her Inbox on their PC (if it was their usual internet e-mail address) or on his/her Cybiko computer (if the address contains the CyID of the intended device).

You can learn more about this option from the E-mail application at our site.

Note: Recipients of the Email message must also be within range of a VCyWIG or connected to the Internet in order to receive a message.


Virtual CyWIG Program

After you start the VCyWIG Program, you will see:

  • a Virtual CyWIG icon [image] in the System Tray in the bottom right corner of your PC screen;
  • a Virtual CyWIG Activity Monitor window;
  • and a special diagnostic screen on your Cybiko computer.

And now your Cybiko computer becomes a special communicative system - a Virtual CyWIG server, which will provide wireless Internet access and intercommunication for all Cybiko computers within range of operating the VCyWIG.

Note: The blue icon shows that your VCyWIG works properly (i.e. performs data transfer). If the icon becomes red [image], it means that your VCyWIG doesn't currently transmit any data to Cybiko computers. This may occur because of server problems or a lost Internet connection.

Note: We recommend not running more than one VCyWIG on your PC at the same time.


Icon in the System Tray

By clicking the right mouse button on the icon [image], you will see a menu with the following items:

  • About Virtual CyWIG - shows information about the program.
  • Show Virtual CyWIG AM - views the VCyWIG Activity Monitor.
  • VCyWIG Help - opens the VCyWIG Help.
  • Shut Down - exits the Virtual CyWIG program and shuts down the Virtual CyWIG.


Virtual CyWIG screen on Cybiko computer

While your Cybiko computer works as a Virtual CyWIG server, you will see the VCyWIG SERVER DIAGNOSTICS screen on the Cybiko device.

It shows you:

  • Packets received - messages received from all Cybiko computers within the range of the VCyWIG;
  • Packets sent - messages sent from the VCyWIG to Cybiko computers within range;
  • Working time (at the bottom of the screen) - how long your Cybiko computer has been working as a Virtual CyWIG server;
  • A small square moving from top-down (at the right side of the screen) - while it is moving, your Cybiko computer works as a Virtual CyWIG. If the small square stops moving, you must reboot your Cybiko device.


Virtual CyWIG Activity Monitor

Virtual CyWIG Activity Monitor (VCyWIG AM) on PC

The VCyWIG Activity Monitor is a PC program that displays the state and operations of a VCyWIG.


The Main window

The Main window shows you:

  • VCyWIG: the localhost is the VCyWIG, as shown in the center of the diagram;

  • Cybiko computers online: Cybiko computers that are "visible" to the VCyWIG – are shown with CyID;

  • Blue Lines: Incoming transmissions to your VCyWIG;

  • Red Lines: Outgoing transmissions from your VCyWIG to Cybiko computers;

  • The quality of the connection is shown by the distance of the Cybiko computer picture from the localhost icon; the farther away it is, the poorer the quality of the connection;

  • Number in BLUE in the upper right corner of the picture: This is the total number of Cybiko computers online.

To display Cybiko computers that at least once have sent or received data while current running the VCyWIG program, select View from the Menu Items and then choose the Traffic Only item or press the button [image] on the Toolbar. The number of such Cybiko computers will be displayed in RED on the bottom right corner of the Main Screen.

To show all devices again, select View from the Menu Items and choose the Full List item or press the button [image] on the Toolbar.

You can move Cybiko computers images on the Main window using mouse buttons:

In order to move a Cybiko computer image to any place you wish (maintaining the same radius from the localhost) click on a Cybiko computer image with the right mouse button and move it holding the button. Then release the button and you will find this Cybiko computer image in a new place. This may be useful if, for example, some Cybiko computer images are overlapped.

Clicking a Cybiko computer image with the left mouse button selects this Cybiko computer (i.e. displays info about it on the Info screen and moves a focus to this Cybiko computer in Cybiko Computer List).

Note: The pictures of the Cybiko units with corresponding CyIDs are not directly related to the distance from one another. The only relative distance is measured between a Cybiko and the localhost.

You can know if your VCyWIG is working properly by clicking the right mouse button on the PC icon. If your VCyWIG works properly you will see the message "VCyWIG is usable" in the Log window (as a message of Server type, see below).

Besides the Main window, you can see three other windows with additional and detailed information about VCyWIG's actions and the Cybiko computers online.


Cybiko Computer List

Cybiko Computer List shows you all the Cybiko computers online with information as follows:

  • CyID - Cybiko computers online;
  • Connection quality - shown as a bar strength; the more the bar is filled in (from left to right), the better the connection quality of this Cybiko computer to the VCyWIG.

You can sort this List by Cybiko computer ID or Connection Quality by clicking a respective column heading with the left mouse button. For Cybiko computer ID: the first clicking sorts data in ascending order, the second one - in descending order. For Connection Quality: the first clicking sorts data in descending order, the second one - in ascending order.

To open this window, select View from the Menu Items, then choose Cybiko computers List, or press the button [image] on the Toolbar.


Info List

The info screen shows you information specifically for the device selected. To select a device, click on it in the Cybiko Computer List or on the Cybiko computer image in the Main screen. This screen also shows the general information about the VCyWIG itself.

To open this Info box, select View from the Menu Items, then choose Info or press the button [image] on the Toolbar.


Log List

Log List shows the list of log messages about all events that happen while the VCyWIG Activity Monitor is working. You can select the type of log messages that you want to view by choosing the item Log Messages in the View menu or by choosing the proper icon at the bottom of the Log list:

  • Errors
  • Results
  • Warnings

  • Service

Errors are a type of Log messages that tell about critical events directly influencing the VCyWIG. You can meet the following messages of this type: "Internet connection lost", "Cannot open socket" and others.

Results messages report all results, both successful and unsuccessful, of data transfer. (For example: "Packet successfully delivered to Cybiko computer <ID>", "Cannot deliver packet to Cybiko computer <ID>".)

Warning messages inform user of errors that don't affect the VCyWIG working directly ("Received bad packet from Internet").

Service messages are messages between the VCyWIG AM program and VCyWIG itself such as "CyWIG initialized ", "Socket open" and others.

You may also choose one of two modes for viewing messages on the Log screen.

In the Auto-scroll mode you will always see the latest messages falling into the bottom of the list. In the Freeze mode you will always see a certain portion of messages that you "freezed" and only them. (To view a specific message or a group of messages, use the vertical scroll-bar at the right.) In the Freeze mode, all current events are falling into the bottom and you can see them if you switch to the Auto-scroll mode. To switch modes, just click on the current icon at the upper left corner of the Log window and the icon will change to another one. The icon [image] corresponds to Auto-scroll mode and the icon [image] - to Freeze mode.

The Log list can store up to 10,000 messages from the last start of the VCyWIG Activity Monitor. When the number of messages exceeds 10,000, the oldest message is automatically deleted from the list.

Another way to verify if your VCyWIG is working correctly is by choosing File in the Menu Items and selecting Auto-Test. Then select "Service" type of log message. If you see that the two last messages are "Socket closed" and "Socket open", it means that VCyWIG is working properly. Otherwise, you will see an appropriate Error message.

To open the Log, select View from the Menu Items, then choose Log, or press the button [image] on the Toolbar.


How to define View options

To switch the Toolbar on/off, open the View menu and check/uncheck the Toolbar item.


Toolbar

There are seven icons on the Toolbar:

  • Cybiko computer List
  • Log window
  • Info window
  • Traffic Only
  • All devices
  • As At Start

  • Virtual CyWIG Activity Monitor Help.

Note: As At Start is a layout of the program windows that you built the last time before exiting the program.


Status Bar

To switch Status Bar on/off, open the View menu and check/uncheck the Status Bar item. (The Status Bar is located at the very bottom of the Activity Monitor Window.)


How to exit Virtual CyWIG Activity Monitor

Choose File/Exit menu item to exit the program.

Note: Exiting the program doesn't mean stopping the VCyWIG. If you exit Virtual CyWIG Activity Monitor, the VCyWIG itself will continue to work (sending and receiving data) but without showing information on your PC.


How to shut down the Virtual CyWIG program

Click the right mouse button on the CyWIG icon [image] in the System Tray and select the Shut Down item in the menu. The CyWIG program will stop, as it will no longer send and receive data.


Troubleshootings

  1. Your proxy server should maintain UDP connections between inbound ports in range 4000-5000 and outbound ports 15170 and 15171 on the remote server mail1.cybiko.com in order to start the VCyWIG program.
  2. When Internet connection is down, VCyWIG does not detect it immediately. 3-5 minutes are required.
  3. When unplugging from your VCyWIG happened, you will see the notification "VCyWIG is disconnected" and the icon in the System Tray will become red. Then to continue working, plug the cable to the port of your VCyWIG again and it will restore VCyWIG operating.